Package Details: monitorix 3.11.0-1

Git Clone URL: https://aur.archlinux.org/monitorix.git (read-only)
Package Base: monitorix
Description: A lightweight system monitoring tool that uses rrd databases.
Upstream URL: http://www.monitorix.org
Licenses: GPLv2
Conflicts: monitorix-git
Submitter: None
Maintainer: graysky
Last Packager: graysky
Votes: 101
Popularity: 0.071712
First Submitted: 2010-01-24 13:53
Last Updated: 2019-03-14 17:24

Dependencies (19)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

graysky commented on 2014-09-29 09:37

You should report this upstream. Use Jordi's github page to crate an issue.

hbc2 commented on 2014-09-29 07:15

All graphs in Processes Statistics render fine except for Open Files "z" images. The small "non-z" images are generated, just not the z image.

This is the message that appears in the browswer:
ERROR: while graphing /srv/http/monitorix//imgs/process05z.1week.png: parameter 'wrongdata' does not represent a number in line AREA:wrongdata#FFFFFF

graysky commented on 2014-08-23 09:07

@Bruiser - Try 3.6.0-3 which should fix it.

BruiserBrody17 commented on 2014-08-23 02:22

Doing a clean install of 3.6.0 results in the systemd service not starting. Starting it manually gives me errors. Here is the log http://paste2.org/e06PEMNP

graysky commented on 2014-08-20 20:11

Bump to v3.6.0-1

milouse commented on 2014-08-10 17:50

Oupss. I spoke too fast. I CONFIRM the dependancy on perl-dbd-mysql. With it, monitorix works as expected. I must have waited a bit before posting my previous comment, in order to let monitorix get first data from mysql.

However, without it you still get the same error messages as I reported before (I wait a night without seeing anything coming before looking in the logs).

Thus, I don't think it is a relevant issue to report upstream. You should just add perl-dbd-mysql in the PKGBUILD as a dependancy, or just as an optdepends, saying for exemple ('perl-dbd-mysql: enable support for mysql/mariadb monitoring').

Finally, I should be wrong saying that, but perl-dbd-mysql depends on perl-dbi. If it is not directly required by monitorix for other stuff, you maybe could remove it from the dependancies (as it will come with perl-dbd-mysql, either mandatory or optional dep.).

graysky commented on 2014-08-10 17:19

@milouse - Open an issue on the github page: https://github.com/mikaku/Monitorix

milouse commented on 2014-08-10 15:53

@berot3 you should have done the same mistake as me : reading doc too fast and trying to access monitorix on http://localhost:8080. In fact only the perl server listen there, monitorix is available at http://localhost:8080/monitorix

Oh, and by the way @graysky, it seems that perl-dbd-mysql is a dependancy (several error messages in monitorix logs : Sun Aug 10 17:41:01 2014 - mysql_update(): install_driver(mysql) failed: Can't locate DBD/mysql.pm in @INC (you may need to install the DBD::mysql module)). But even with this installed, I cannot reach to have mysql graph working (graph stay empty with NaN value...). If someone has an idea about it...

milouse commented on 2014-08-09 17:12

@berot3 you should have done the same mistake as me : reading doc too fast and trying to access monitorix on http://localhost:8080. In fact only the perl server listen there, monitorix is available at http://localhost:8080/monitorix

graysky commented on 2014-07-11 18:58

I just tested lighttpd + monitorix and it works for me out-of-the-box without any tweaks.